function XPCS_Limit(hObject,eventdata, varargin)
% XPCS_Limit: change plot zaxis
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/27

newLmt = str2double(get(hObject, 'String'));

hFigMain = findall(0,'Tag','main_Fig');
hEditLimit1 = findall(0,'Tag','mask_editLimit1');
hEditLimit2 = findall(0,'Tag','mask_editLimit2');

if(~isappdata(hFigMain, 'Info'))
    XPCS_setDefaultInfo
end
info = getappdata(hFigMain, 'Info');

lowLmt = info.Mask.lowLmt;
highLmt = info.Mask.highLmt;

%Update limit
if(hObject == hEditLimit1 && newLmt < highLmt)
  %lower limit was changed
  lowLmt = newLmt;
elseif(hObject == hEditLimit2 && newLmt > lowLmt)
  %upper limit was changes
  highLmt = newLmt;
end

%Save limits and replot
info.Mask.lowLmt = lowLmt;
info.Mask.highLmt = highLmt;
setappdata(hFigMain, 'Info', info);
set(hEditLimit1, 'String', lowLmt);
set(hEditLimit2, 'String', highLmt);
XPCS_Redisplay(info.Mask.theImg, info.Mask.theMask);

%----
% EOF
%----