function XPCS_ROIaccept(varargin)
% XPCS_ROIaccept: Accepts the current ROI and adds it to the mask
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hButtonAccept = findall(0,'Tag','mask_buttonAccept');
hButtonCancel = findall(0,'Tag','mask_buttonCancel');
hButtonToggle = findall(0,'Tag','mask_buttonToggle');
hTextLimit3 = findall(0,'Tag','mask_textLimit3');
hEditLimit3 = findall(0,'Tag','mask_editLimit3');
hButtonLimit3 = findall(0,'Tag','mask_buttonLimit3');
hPlot = findall(0,'Tag','mask_Plot');
handleROI = findall(0,'Tag','mask_ROI');

info = getappdata(hFigMain, 'Info');

if(info.Mask.update == 0)
  if(isempty(handleROI) == 1)
    handleROI = imrect(hPlot, [0 0 0 0]);
    set(hButtonToggle, 'Value', 1)
  elseif(isvalid(handleROI) == 0)
    %meaning, it's been deleted
  end
  resume(handleROI)
  info.Mask.tmpMask = createMask(handleROI);
end

info.Mask.lastMask = info.Mask.theMask;
if(get(hButtonToggle, 'Value') == 1)
    %add to previous mask
    info.Mask.theMask = info.Mask.lastMask + info.Mask.tmpMask;
    info.Mask.theMask(info.Mask.theMask > 1) = 1;
else
    %remove from previous mask
    info.Mask.theMask = info.Mask.lastMask - info.Mask.tmpMask;
    info.Mask.theMask(info.Mask.theMask < 0) = 0;
end

set(hButtonAccept, 'Visible', 'off');
set(hButtonCancel, 'Visible', 'off');
set(hButtonToggle, 'Visible', 'off');
set(hTextLimit3, 'Visible', 'off');
set(hEditLimit3, 'Visible', 'off');
set(hButtonLimit3, 'Visible', 'off');

info.Mask.update = 1;
setappdata(hFigMain, 'Info', info);

XPCS_Redisplay(info.Mask.theImg, info.Mask.theMask)

%-----
%-EOF-
%-----