function XPCS_ROIcancel(hObject,eventdata, varargin)
% XPCS_ROIcancel: Cancels the current ROI and uses the last mask
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hButtonAccept = findall(0,'Tag','mask_buttonAccept');
hButtonCancel = findall(0,'Tag','mask_buttonCancel');
hButtonToggle = findall(0,'Tag','mask_buttonToggle');
hTextLimit3 = findall(0,'Tag','mask_textLimit3');
hEditLimit3 = findall(0,'Tag','mask_editLimit3');
hButtonLimit3 = findall(0,'Tag','mask_buttonLimit3');
handleROI = findall(0,'Tag','mask_ROI');

info = getappdata(hFigMain, 'Info');

if(~isempty(handleROI))
%    error('Did not Select anything, so will crash');
    delete(handleROI);
end
      
%if(info.Mask.update == 0)
%    info.Mask.tmpMask = createMask(handleROI);
%    resume(handleROI) %crashed if no ROI is drawn
%end

XPCS_Redisplay(info.Mask.theImg, info.Mask.theMask)

set(hButtonAccept, 'Visible', 'off');
set(hButtonCancel, 'Visible', 'off');
set(hButtonToggle, 'Visible', 'off');
set(hTextLimit3, 'Visible', 'off');
set(hEditLimit3, 'Visible', 'off');
set(hButtonLimit3, 'Visible', 'off');

info.Mask.update = 1;
setappdata(hFigMain, 'Info', info);

%-----
%-EOF-
%-----