function XPCS_ROIshape(hObject,eventdata, varargin)
% XPCS_ROIshape: Creates a ROI shape
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hButtonAccept = findall(0,'Tag','mask_buttonAccept');
hButtonCancel = findall(0,'Tag','mask_buttonCancel');
hButtonToggle = findall(0,'Tag','mask_buttonToggle');
hPlot = findall(0,'Tag','mask_Plot');

info = getappdata(hFigMain, 'Info');

set(hButtonAccept, 'Visible', 'on');
set(hButtonCancel, 'Visible', 'on');
set(hButtonToggle, 'Visible', 'on');

info.Mask.update = 0;
setappdata(hFigMain, 'Info', info);

switch get(hObject, 'Tag')
    case 'mask_MenuRect'
        handleROI = imrect(hPlot);
    case 'mask_MenuEllip'
        handleROI = imellipse(hPlot);
    case 'mask_MenuPoly'
        handleROI = impoly(hPlot);
    case 'mask_MenuFree'
        handleROI = imfreehand(hPlot);
end

set(handleROI, 'Tag', 'mask_ROI');

wait(handleROI);
info = getappdata(hFigMain, 'Info');
if(info.Mask.update == 0)
  info.Mask.tmpMask = createMask(handleROI);
  if(get(hButtonToggle, 'Value') == 1)
    %add to previous mask
    tmp = info.Mask.theMask + info.Mask.tmpMask;
    tmp(tmp > 1) = 1;
  else
    %remove from previous mask
    tmp = info.Mask.theMask - info.Mask.tmpMask;
    tmp(tmp < 0) = 0;
  end
  XPCS_Redisplay(info.Mask.theImg, tmp)
end

info.Mask.update = 1;
setappdata(hFigMain, 'Info', info);

%-----
%-EOF-
%-----