function XPCS_ROItoggle(varargin)
% XPCS_ROItoggle: Toggles to add or remove the current ROI to the existing
% Mask
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hButtonToggle = findall(0,'Tag','mask_buttonToggle');

info = getappdata(hFigMain, 'Info');

if(get(hButtonToggle, 'Value') == 1)
    set(hButtonToggle, 'String', 'Add');
else
    set(hButtonToggle, 'String', 'Remove');
end

if(info.Mask.update == 1)
  if(get(hButtonToggle, 'Value') == 1)
    %add to previous mask
    tmp = info.Mask.theMask + info.Mask.tmpMask;
    tmp(tmp > 1) = 1;
  else
    %remove from previous mask
    tmp = info.Mask.theMask - info.Mask.tmpMask;
    tmp(tmp < 0) = 0;
  end
  XPCS_Redisplay(info.Mask.theImg, tmp)
end

%-----
%-EOF-
%-----