function XPCS_Redisplay(theData, theMask, varargin)
% XPCS_Redisplay(theData, theMask, varargin):
%  Redisplays the images based on current settings
%
% theData - the data that will be displayed
% theMask - the mask that will be displayed
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 2.0  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hFigMask = findall(0,'Tag','mask_Fig');
hPlot = findall(0,'Tag','mask_Plot');
hHide = findall(0,'Tag', 'mask_MenuHide');
h = findall(0,'Tag','mask_Plot1');

info = getappdata(hFigMain,'Info');

delete(h);
if(strcmp(get(hHide, 'Checked'), 'on'))
    h = imagesc('Parent', hPlot, 'CData', theData);
else
	h = imagesc('Parent', hPlot, 'CData', ...
      ((1-info.Mask.contrast)*...
      theMask+info.Mask.contrast).*...
      (double(theData)));
end

set(h, 'Tag', 'mask_Plot1');

h = findobj('Tag','Colorbar');
if(isempty(h))
    colorbar('location','EastOutside');
end
figure(hFigMask);
axis(hPlot, info.Mask.theAxis);
caxis(hPlot,[info.Mask.lowLmt info.Mask.highLmt]);
XPCS_colormap;

%-----
% EOF
%-----