function XPCS_Waitbar(varargin)
% XPCS_Waitbar: Creates a waitbar and transfers it to the Main figure
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/27

hFigMain = findall(0,'Tag','main_Fig');

% Creates a WAITBAR in a new figure (by default)
h = waitbar(0,'Please wait...'); % 

% The child of the waitbar is an axes object. Grab the axes
% object 'c' and set its parent to be your figure hFigMain so that it now
% resides on figure hFigMain rather than on the old default figure.
c = get(h,'Children');
set(c,'Parent',hFigMain);

% Set the position of the WAITBAR on your figure
set(c,'Units','Normalized','Position',[.1 .01 .8 .03], 'Tag', 'main_waitbar');

% Close the default figure
close(h);


%-----
% EOF
%-----