function XPCS_colormap(varargin)
% XPCS_colormap(varargin):
%  Changes the colormap to the specified one
% XPCS_colormap(hObject, eventdata): arguments passed when an object calls
% this function. This is needed to know which object called the function
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hMenuGray = findall(0,'Tag','mask_MenuColorGray');
hMenuJet = findall(0,'Tag','mask_MenuColorJet');
hMenuHSV = findall(0,'Tag','mask_MenuColorHSV');
hMenuHot = findall(0,'Tag','mask_MenuColorHot');
hMenuCool = findall(0,'Tag','mask_MenuColorCool');

info = getappdata(hFigMain, 'Info');

hObject = -1;
eventdata = -1;
if(nargin == 2)
  hObject = varargin{1};
  eventdata = varargin{2};
end

%Set colormap selected
switch hObject
  case hMenuGray
    info.Mask.theColor = 'Gray';
    set(hMenuGray, 'checked', 'on');
    set(hMenuJet, 'checked', 'off');
    set(hMenuHSV, 'checked', 'off');
    set(hMenuHot, 'checked', 'off');
    set(hMenuCool, 'checked', 'off');
  case hMenuJet
    info.Mask.theColor = 'Jet';
    set(hMenuGray, 'checked', 'off');
    set(hMenuJet, 'checked', 'on');
    set(hMenuHSV, 'checked', 'off');
    set(hMenuHot, 'checked', 'off');
    set(hMenuCool, 'checked', 'off');
  case hMenuHSV
    info.Mask.theColor = 'HSV';
    set(hMenuGray, 'checked', 'off');
    set(hMenuJet, 'checked', 'off');
    set(hMenuHSV, 'checked', 'on');
    set(hMenuHot, 'checked', 'off');
    set(hMenuCool, 'checked', 'off');
  case hMenuHot
    info.Mask.theColor = 'Hot';
    set(hMenuGray, 'checked', 'off');
    set(hMenuJet, 'checked', 'off');
    set(hMenuHSV, 'checked', 'off');
    set(hMenuHot, 'checked', 'on');
    set(hMenuCool, 'checked', 'off');
  case hMenuCool
    info.Mask.theColor = 'Cool';
    set(hMenuGray, 'checked', 'off');
    set(hMenuJet, 'checked', 'off');
    set(hMenuHSV, 'checked', 'off');
    set(hMenuHot, 'checked', 'off');
    set(hMenuCool, 'checked', 'on');
end

switch info.Mask.theColor
  case 'Gray'
    colormap('Gray');
  case 'Jet'
    colormap('Jet');
  case 'HSV'
    colormap('HSV');
  case 'Hot'
    colormap('Hot')
  case 'Cool'
    colormap('Cool')
end

setappdata(hFigMain, 'Info', info);

%-----
%-EOF-
%-----