function XPCS_defineBGVar(hObject, eventdata)
% XPCS_defineBGVar: Defines the variables within the background function
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/27

%scan string looking for S or F
% if current value exists, ask to keep or change
%   if S -> scale factor; ask for type (e.g. man, min, top, etc)
%   if F -> field; ask for const or field (avg multiple)
% return answer to info.Analysis.BGscale and info.Analysis.BGfield

hFigMain = findall(0,'Tag','main_Fig');
hEditBG = findall(0,'Tag','analysis_editBG');
info = getappdata(hFigMain, 'Info');

info.Analysis.BGfunc = get(hEditBG, 'String');
setappdata(hFigMain, 'Info', info);

strFunc = get(hObject, 'String');
Sca = strfind(strFunc, 'S');
numSca = length(Sca);
Fie = strfind(strFunc, 'F');
numFie = length(Fie);

%redefine the string
modStr = strFunc;
num = zeros(size(Sca));
for k = 1:numSca
    num(k) = str2double(strFunc(Sca(k)+1));
end
for k = 1:numSca
    num(num >= k) = num(num >= k) - min(num(num >= k)) + k;
end
for k = 1:numSca
    modStr(Sca(k)+1) = num2str(num(k),'%u');
end
uniqSca = max(num);
num = zeros(size(Fie));
for k = 1:numFie
    num(k) = str2double(strFunc(Fie(k)+1));
end
for k = 1:numFie
    num(num >= k) = num(num >= k) - min(num(num >= k)) + k;
end
for k = 1:numFie
    modStr(Fie(k)+1) = num2str(num(k),'%u');
end
uniqFie = max(num);
set(hObject, 'String', modStr);
info.Analysis.BGfunc = modStr;
setappdata(hFigMain, 'Info', info);

%Define Scalars
for k = 1:uniqSca
    info = getappdata(hFigMain, 'Info');
    %Check if exists
    if(length(info.Analysis.BGscale) < k)
        info.Analysis.BGscale(k, 1) = {1};
        setappdata(hFigMain, 'Info', info);
    end
    %open Scalar Select GUI
    h = XPCS_scaSelGUI(k);
    waitfor(h)
end

%Define Fields
for k = 1:uniqFie
    info = getappdata(hFigMain, 'Info');
    %Check if exists
    if(length(info.Analysis.BGfield) < k)
        info.Analysis.BGfield(k, 1) = {0};
        setappdata(hFigMain, 'Info', info);
    end
    %open Scalar Select GUI
	h = XPCS_fieSelGUI(k);
    waitfor(h)
end

%-----
%-EOF-
%-----