function XPCS_fieDisplay(hObject, eventdata, varargin)
% XPCS_fieDisplay: Scale the image field for background subtraction
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/09/24


hFigMain = findall(0,'Tag','main_Fig');
hFigFie = findall(0,'Tag','fie_Fig');

info = getappdata(hFigMain,'Info');
theField = getappdata(hFigFie, 'Field');

if(exist('hObject', 'var'))
    theNum = str2double(get(hObject, 'String'));
    if isnan(theNum)
        errordlg('You must enter a numeric value','Bad Input','modal')
        uicontrol(hObject)
        return
    end
    switch get(hObject, 'Tag')
        case 'fie_editEnergy'
            set(findall(0,'Tag','fie_editWave'), 'String', 12.3985237/theNum);
            theFactor = info.Setup.energy/theNum;
            set(findall(0,'Tag','fie_editFactor'), 'String', theFactor);
        case 'fie_editWave'
            set(findall(0,'Tag','fie_editEnergy'), 'String', 12.3985237/theNum);
            theFactor = theNum/info.Setup.wavelength;
            set(findall(0,'Tag','fie_editFactor'), 'String', theFactor);
        case 'fie_editFactor'
            set(findall(0,'Tag','fie_editEnergy'), 'String', info.Setup.energy/theNum);
            set(findall(0,'Tag','fie_editWave'), 'String', info.Setup.wavelength*theNum);
            theFactor = theNum;
            
    end
    scaImg = XPCS_ScaleImg(theField, theFactor);
    setappdata(hFigFie, 'finalField', scaImg);
end


%-----
% EOF
%-----