function varargout = XPCS_frameSet(hObject,eventdata,varargin)
% XPCS_frameSet: Displays the frame specified
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/05

hFigMain = findall(0,'Tag','main_Fig');
info = getappdata(hFigMain, 'Info');

hEditFrame = findall(0,'Tag','movie_editFrame');
hSliderFrame = findall(0,'Tag','movie_sliderFrame');

switch hObject
  case hEditFrame
    frame = round(str2double(get(hEditFrame, 'String')));
    if(frame > get(hSliderFrame, 'Max'))
      frame = get(hSliderFrame, 'Max');
    elseif(frame < get(hSliderFrame, 'Min'))
      frame = get(hSliderFrame, 'Min');
    end
  case hSliderFrame
    %slider was changed
    frame = round(get(hSliderFrame, 'Value'));
end

set(hSliderFrame, 'value', frame);
set(hEditFrame, 'String', num2str(frame));

if(~info.Main.allFiles)
  %Must load file
  %figure out which file it is
  frameSum = 0;
  row = 1;
  while(frameSum < frame)
    row = row + 1;
    frameSum = frameSum + info.Main.files{row,2};
  end
  frame = frame -(frameSum - info.Main.files{row,2});
  if(~strcmp(info.Main.files{row,1},info.Main.lastFile))
    info.Mask.theData = XPCS_fileReader(info.Main.files(row,1));
    info.Main.lastFile = info.Main.files{row,1};
    setappdata(hFigMain, 'Info', info);
  end
else
  %All files have been loaded, only need to recall them
end
XPCS_mapImg(0, {0}, frame);

%----
% EOF
%----