function XPCS_interactive(varargin)
% XPCS_interactive: Interactive zoom, pan and data cursor
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/11/05

hFigMain = findall(0,'Tag','main_Fig');
hFigMask = findall(0,'Tag','mask_Fig');
hPlot = findall(0,'Tag','mask_Plot');
hMenuArrow = findall(0,'Tag','mask_MenuToolsArrow');
hMenuZoom = findall(0,'Tag','mask_MenuToolsZoom');
hMenuPan = findall(0,'Tag','mask_MenuToolsPan');
hMenuCursor = findall(0,'Tag','mask_MenuToolsCursor');
hMenuReset = findall(0,'Tag','mask_MenuToolsReset');

info = getappdata(hFigMain, 'Info');

hObject = -1;
if(nargin == 2)
  hObject = varargin{1};
end

%Set interactive tool
switch hObject
  case hMenuArrow
    pan(hFigMask,'off');
    zoom(hFigMask, 'off')
    datacursormode (hFigMask,'off');
    set(hMenuArrow, 'checked', 'on');
    set(hMenuZoom, 'checked', 'off');
    set(hMenuPan, 'checked', 'off');
    set(hMenuCursor, 'checked', 'off');
    info.Mask.theAxis =  axis(hPlot);
    setappdata(hFigMain, 'Info', info);
  case hMenuZoom
    pan(hFigMask,'off');
    datacursormode (hFigMask,'off');
    zoom(hFigMask, 'on')
    set(hMenuArrow, 'checked', 'off');
    set(hMenuZoom, 'checked', 'on');
    set(hMenuPan, 'checked', 'off');
    set(hMenuCursor, 'checked', 'off');
  case hMenuPan
    zoom(hFigMask, 'off')
    datacursormode (hFigMask,'off');
    pan(hFigMask,'on');
    set(hMenuArrow, 'checked', 'off');
    set(hMenuZoom, 'checked', 'off');
    set(hMenuPan, 'checked', 'on');
    set(hMenuCursor, 'checked', 'off');
    info.Mask.theAxis =  axis(hPlot);
    setappdata(hFigMain, 'Info', info);
  case hMenuCursor
    pan(hFigMask,'off');
    zoom(hFigMask, 'off')
    datacursormode (hFigMask,'on');
    dcm_obj = datacursormode(hFigMask);
    set(dcm_obj, 'DisplayStyle', 'window')
    set(hMenuArrow, 'checked', 'off');
    set(hMenuZoom, 'checked', 'off');
    set(hMenuPan, 'checked', 'off');
    set(hMenuCursor, 'checked', 'on');
    info.Mask.theAxis =  axis(hPlot);
    setappdata(hFigMain, 'Info', info);
  case hMenuReset
    [xsize ysize] = size(info.Mask.theImg);
    axis(hPlot, [1 xsize 1 ysize]);
    info.Mask.theAxis =  axis(hPlot);
    setappdata(hFigMain, 'Info', info);
end

%-----
%-EOF-
%-----