function XPCS_limitCutoff(varargin)
% XPCS_limitCutoff: Creates a mask based on a limit, selecting everything
% over or under
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hButtonToggle = findall(0,'Tag','mask_buttonToggle');
hEditLimit3 = findall(0,'Tag','mask_editLimit3');
hButtonLimit3 = findall(0,'Tag','mask_buttonLimit3');

info = getappdata(hFigMain, 'Info');

limit = str2double(get(hEditLimit3, 'String'));
set(hEditLimit3, 'Value', limit);

info.Mask.tmpMask = [];
info.Mask.tmpMask = zeros(size(info.Mask.theData));
if(get(hButtonLimit3, 'Value'))
    %select above
    info.Mask.tmpMask(info.Mask.theData>limit) = 1;
    set(hButtonLimit3, 'String', 'Above');
else
    %select below
    info.Mask.tmpMask(info.Mask.theData<limit) = 1;
    set(hButtonLimit3, 'String', 'Below');
end
setappdata(hFigMain, 'Info', info);

if(get(hButtonToggle, 'Value') == 1)
    %add to previous mask
    tmp = info.Mask.theMask + info.Mask.tmpMask;
    tmp(tmp > 1) = 1;
else
    %remove from previous mask
    tmp = info.Mask.theMask - info.Mask.tmpMask;
    tmp(tmp < 0) = 0;
end
XPCS_Redisplay(info.Mask.theImg, tmp);

%-----
%-EOF-
%-----