function XPCS_limitExpand(varargin)
% XPCS_limitExpand: Expands or Contracts the current ROI
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/27

hFigMain = findall(0,'Tag','main_Fig');
hButtonToggle = findall(0,'Tag','mask_buttonToggle');
hEditLimit3 = findall(0,'Tag','mask_editLimit3');

info = getappdata(hFigMain, 'Info');

limit = uint16(str2double(get(hEditLimit3, 'String')));
set(hEditLimit3, 'Value', limit);
set(hEditLimit3, 'String', limit);

info.Mask.tmpMask = [];
info.Mask.tmpMask = info.Mask.theMask;
if(get(hButtonToggle, 'Value'))
    %expand
    maskCheck = zeros(size(info.Mask.theMask,1)+2*limit, ...
        size(info.Mask.theMask,2)+2*limit);
    maskCheck(1+limit:size(maskCheck,1)-limit, ...
        1+limit:size(maskCheck,2)-limit) ...
        = info.Mask.theMask;
    for j = 1:size(info.Mask.tmpMask,1)
        for k = 1:size(info.Mask.tmpMask,2)
            if(mean(mean(maskCheck(j:j+2*limit,k:k+2*limit))) > 0)
                info.Mask.tmpMask(j,k) = 1;
            end
        end
    end
else
    %contract
    maskCheck = ones(size(info.Mask.theMask,1)+2*limit, ...
        size(info.Mask.theMask,2)+2*limit);
    maskCheck(1+limit:size(maskCheck,1)-limit, ...
        1+limit:size(maskCheck,2)-limit) ...
        = info.Mask.theMask;
    for j = 1:size(info.Mask.tmpMask,1)
        for k = 1:size(info.Mask.tmpMask,2)
            if(mean(mean(maskCheck(j:j+2*limit,k:k+2*limit))) < 1)
                info.Mask.tmpMask(j,k) = 0;
            end
        end
    end
end

setappdata(hFigMain, 'Info', info);

if(get(hButtonToggle, 'Value') == 1)
    %add to previous mask
    tmp = info.Mask.theMask + info.Mask.tmpMask;
    tmp(tmp > 1) = 1;
else
    %remove from previous mask
    tmp = info.Mask.theMask - info.Mask.tmpMask;
    tmp(tmp < 0) = 0;
end
XPCS_Redisplay(tmp);

%-----
% EOF
%-----