function XPCS_maskExport(varargin)
% XPCS_maskExport: Export the current mask for later use
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/05

hFigMain = findall(0,'Tag','main_Fig');
hFileList = findall(0,'Tag','main_fileList');
info = getappdata(hFigMain, 'Info');

if(size(info.Main.files,1) == 1)
    pname = pwd;
else
    %use last file as current directory
    aname = char(info.Main.files(size(info.Main.files,1)));
    fname = get(hFileList, 'String');
    k = strfind(aname, fname{size(fname,1),1});
    pname = aname(1 : k(1)-2);
end

Mask = info.Mask.theMask;

[fname,pname] = uiputfile({'*.cm','XPCS Mask (*.cm)'},'Save XPCS Mask', ...
    pname);
if (fname ~= 0)
    save(sprintf('%s%s',pname,fname), 'Mask')
end

%-----
%-EOF-
%-----