function XPCS_maskImport(varargin)
% XPCS_maskImport: Import a previous mask
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/05

hFigMain = findall(0,'Tag','main_Fig');
hFileList = findall(0,'Tag','main_fileList');
info = getappdata(hFigMain, 'Info');

if(size(info.Main.files,1) == 1)
    pname = pwd;
else
    %use last file as current directory
    aname = char(info.Main.files(size(info.Main.files,1)));
    fname = get(hFileList, 'String');
    k = strfind(aname, fname{size(fname,1),1});
    pname = aname(1 : k(1)-2);
end

[fname,pname] = uigetfile({'*.cm','XPCS Mask (*.cm)'},'Open XPCS Mask', ...
    pname);
if (fname ~= 0)

    hFigMain = findall(0,'Tag','main_Fig');

    info = getappdata(hFigMain, 'Info');

    info.Mask.theMask = importdata(sprintf('%s%s',pname,fname));
    info.Mask.oldMask = info.Mask.theMask;
    
    setappdata(hFigMain, 'Info', info);
    XPCS_maskSize;
    
    info = getappdata(hFigMain, 'Info');
    XPCS_Redisplay(info.Mask.theData, info.Mask.theMask)
end

%-----
%-EOF-
%-----