function XPCS_maskOpenFile(varargin)
% XPCS_maskOpenFile(inFile): Allows user to select file to draw a mask over
% inFile - option to specify which file to open, without opening dialog box
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.2  Date: 2010/10/28

hFigMain = findall(0,'Tag','main_Fig');
hFileList = findall(0,'Tag','main_fileList');
info = getappdata(hFigMain,'Info');

if(nargin == 1)
  % file is given
  fileName = varargin{1};
else
  if(size(info.Main.files,1) == 1)
    pname = pwd;
  else
    %use first file as current directory
    aname = char(info.Main.files(2));
    fname = get(hFileList, 'String');
    k = strfind(aname, fname{1,1});
    pname = aname(1 : k(1)-2);
  end

  %Select a file by using the "Open
  [fname,pname] = uigetfile({'*.hdf;*.FITS','CCD Data (*.hdf,*.FITS)' ...
      ;'*.*', 'All Files'},'Open CCD Data Image', ...
      pname); %strang old version
  
  if(fname ~= 0)
    fileName = strcat(pname,fname);
  else
    %file was not specified
    return;
  end
end

if(strcmp(fileName, info.Main.lastFile))
  %File has already been opened
  XPCS_mapImg;
  return;
else
  %Load in the file
  info.Mask.theData = XPCS_fileReader(fileName);
  info.Main.lastFile = fileName;
  setappdata(hFigMain, 'Info', info);
  
  XPCS_maskSize;

  XPCS_mapImg(0, {0});
end

%-----
%-EOF-
%-----