function XPCS_maskSize(varargin)
% XPCS_maskSize: Checks that the mask is the same size as the data
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/28

hFigMain = findall(0,'Tag','main_Fig');
info = getappdata(hFigMain,'Info');

[xsize, ysize] = size(info.Mask.theData);
[info.Mask.theMask, updated] = ...
    XPCS_convImgSize(info.Mask.theMask, [xsize, ysize]);
info.Mask.lastMask = ...
    XPCS_convImgSize(info.Mask.lastMask, [xsize, ysize]);

if(updated)
  hMsgBox = findall(0,'Tag','main_MsgBox');
  theString = get(hMsgBox, 'String');
  theString = ['Warning: Mask size did not match data size. The mask was converted'; theString];
  set(hMsgBox, 'String', theString);
end

info.Mask.theAxis = [1 xsize 1 ysize];
setappdata(hFigMain, 'Info', info);

%-----
% EOF
%-----