function [darkFac sWhtImg whiteFac] = XPCS_scaleFactor(dataFiles, darkImg, whiteImg)
% XPCS_scaleFactor: Finds the scaling factors taking out white and dark fields

% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/28

%average data fiels
num = size(dataFiles, 2);
tmp = 0;
for k = 1:num
    tmp =  tmp + double(hdfread(dataFiles(1,:),'data'));
end
dataImg = tmp/num;

%get dark field factor for data
darkFac = XPCS_imageSub(dataImg, darkImg, 'bot');

%get dark field factor for white field and scaled white field image
[darkFac2, sWhtImg] = XPCS_imageSub(whiteImg, darkImg, 'bot');

%get white field factor for data
whiteFac = XPCS_imageSub(dataImg, sWhtImg, 'cieling');


%-----
%-EOF-
%-----