function XPCS_setDefaultInfo()
% XPCS_setDefaultInfo: Default info
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/10/28

hFigMain = findall(0,'Tag','main_Fig');

%Main info
files = {'placeholder'};
main = struct('files', files, 'lastFile', '', 'allFiles', 0);
main.files = {main.files};
main.files{1,2} = 0;

%Mask info
mask = struct('lowLmt', 0, 'highLmt', 1, 'contrast', .3, ...
    'theAxis', [1 1024 1 1024], 'theScale', 'Lin', 'theColor', 'Gray');
theData = ones(1024);
theImg = double(theData);
theMask = ones(1024);
lastMask = ones(1024);
tmpMask = ones(1024);
update = 1;

mask = setfield(mask, 'theData', theData);
mask = setfield(mask, 'theImg', theImg);
mask = setfield(mask, 'theMask', theMask);
mask = setfield(mask, 'lastMask', lastMask);
mask = setfield(mask, 'tmpMask', tmpMask);
mask = setfield(mask, 'update', update);

%Setup info
setup = struct('energy', 1, 'wavelength', 12.3985237, ...
    'dist', 1, 'depth', 1, 'width', 10, 'height', 10, ...
    'theta1', 0, 'phi1', 0, 'theta2', 0, 'phi2', 0, ...
    'scale', 10);

%Analysis info
analysis = struct('first', 0, 'previous', 0, 'g2', 0, 'normDiff', 0, ...
    'sets', 1, 'average', 1, 'regions', 1, 'BGfunc', 'S1*(F1-S2*F2)+S3*F2');
BGscale{1,1} = 1;
BGfield{1,1} = 0;
analysis = setfield(analysis, 'BGscale', BGscale);
analysis = setfield(analysis, 'BGfield', BGfield);

info = struct('Main', main, 'Mask', mask, 'Setup', setup, 'Analysis', analysis);
setappdata(hFigMain, 'Info', info);

%-----
%-EOF-
%-----