function newImg = XPCS_toneMap(oldImg)
% newImg = XPCS_toneMap(oldImg, contrast, local):
% Tone Mapping of image to reduce it's dynamic range while maintaining
% local contrast
%
%K.K. Biswas and S. N. Pattanaik, "A Simple Spatial Tone Mapping Operator
% for High Dynamic Range Images," Proc. IS&T/SID's 13th Color Imaging
% Conference, 2005
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/11/03

if(isa(oldImg, 'double'))
  %don't do anything
else
  %convert to double for computations
  oldImg = double(oldImg);
end
oldImgMed = medfilt2(oldImg, [9 9], 'symmetric');
newImg = oldImg./(1*mean(mean(oldImg))+oldImg+1*oldImgMed.*log(oldImgMed./oldImg+1));

%----
% EOF
%----